मैं कोटलिन कोरटाइन के runBlocking फ़ंक्शन का उपयोग करने का प्रयास कर रहा हूं, लेकिन मुझे त्रुटि मिलती है कि यह विधि कोटलिन 1.3 में पेश की गई थी।

इसलिए, मैंने कोटलिन 1.3.0 का उपयोग करने के लिए अपने Android Studio प्रोजेक्ट को अपडेट करने का प्रयास किया

लेकिन, जब मैं ऐसा करता हूं, तो मुझे त्रुटि मिलती है: "org.jetbrains.kotlin:kotlin-stdlib-jre7:1.3.0" is unresolved...

कोटलिन 1.3 का उपयोग करने के लिए मेरे एंड्रॉइड स्टूडियो प्रोजेक्ट को अपडेट करने का अनुशंसित तरीका क्या है? या क्या runBlocking के समान कोई अन्य तरीका है जो कोटलिन 1.2.51 के साथ संगत है?

0
BlondeSwan 14 नवम्बर 2018, 21:13

1 उत्तर

सबसे बढ़िया उत्तर

मुझे लगता है कि इसका अलग संस्करण है। उपयोग करने का प्रयास करें:

कार्यान्वयन 'org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.3.0'

1
yole 26 नवम्बर 2018, 14:23